com.thinkaurelius.titan.diskstorage.indexing

## Interface KeyInformation

- All Known Implementing Classes:
    StandardKeyInformation

      public interface KeyInformation

  Helper class that provides information on the data type and additional parameters that form the definition of a key in an index.

  So, given a key, its associated KeyInformation provides the details on what data type the key's associated values have and whether this key has been configured with any additional parameters (that might provide information on how the key should be indexed).

  `KeyInformation.IndexRetriever` returns `KeyInformation` for a given store and given key. This will be provided to an index when the key is not fixed in the context, e.g. in `IndexProvider#mutate(java.util.Map, IndexRetriever, com.thinkaurelius.titan.diskstorage.BaseTransaction)`

  `KeyInformation.Retriever` returns `KeyInformation.IndexRetriever` for a given index identified by its name. This is only used internally to pass `KeyInformation.IndexRetriever`s around.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `KeyInformation.IndexRetriever`
    `static interface` | `KeyInformation.Retriever`
    `static interface` | `KeyInformation.StoreRetriever`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cardinality` | `getCardinality()` Returns the `Cardinality` for this key.
    `Class<?>` | `getDataType()` Returns the data type of the key's values.
    `Parameter[]` | `getParameters()` Returns the parameters of the key's configuration.

- - ### Method Detail

    - #### getDataType

          Class<?> getDataType()

      Returns the data type of the key's values.
      Returns:

    - #### getParameters

          Parameter[] getParameters()

      Returns the parameters of the key's configuration.
      Returns:

    - #### getCardinality

          Cardinality getCardinality()

      Returns the `Cardinality` for this key.
      Returns:

Copyright © 2012–2014. All rights reserved.